/*
  AntiRight
  (c) 2003-2004 Jeffrey Bedard
  jefbed@e-list.net
   
  This file is part of AntiRight.
   
  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
   
  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
   
  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "arshell.h"
#include "antiright.xbm"

int
main(int argc, char **argv)
{
  Widget mainwindow_widget;
  struct antiright_menubar_structure menubar;
  antiright_initialize_application(&argc, argv, "AntiRight", antiright_bits);
  ARCLARG;
  antiright_set(XmNmarginHeight, 0);
  antiright_set(XmNmarginWidth, 0);
  mainwindow_widget=antiright_row(antiright_frame(antiright_parent_widget,
						  XmSHADOW_OUT));
  menubar.file_widget=NULL;
  arshell_handle_command_line_arguments(&argc, 
					argv, 
					&mainwindow_widget, 
					&menubar);
  XtRealizeWidget(antiright_parent_widget);
  XtAppMainLoop(app_context);
  return(0);
}
