/*
  AntiRight
  (c) 2002-2004 Jeffrey Bedard
  jefbed@e-list.net
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef AR_STATUS_H
#define AR_STATUS_H

/* This is the standard status widget for AntiRight.  Initialize this to a label and it will be used automatically.  */
Widget antiright_status_widget;

/* This updates the status text of the antiright_status_widget widget.
   The widget must be initialized as a label before this will
   work.  */
void
antiright_status(char *status); /* This is the text to be
				   displayed.  */

/* This is a callback interface to antiright_status().  */
void
antiright_status_callback(Widget parent,
			  XtPointer client_data,
			  XtPointer call_data);

Widget
antiright_create_status_bar(Widget parent_widget);


#endif /* AR_STATUS_H */
